summaryrefslogtreecommitdiffstats
path: root/desktop/xonclock/xonclock.SlackBuild
diff options
context:
space:
mode:
author dsomero <xgizzmo@slackbuilds.org>2012-09-17 18:06:05 -0400
committer Robby Workman <rworkman@slackbuilds.org>2012-09-17 23:34:45 -0500
commitf09b907167841a42b5a315e7d68a20ea6d08abdc (patch)
tree4ae4ac6358373cc804509ee6c969e740aae75997 /desktop/xonclock/xonclock.SlackBuild
parenteaa2171db590fe1bdd449a1d0c3888d378f607fd (diff)
downloadslackbuilds-f09b907167841a42b5a315e7d68a20ea6d08abdc.tar.gz
slackbuilds-f09b907167841a42b5a315e7d68a20ea6d08abdc.tar.xz
desktop/xonclock: Fixed underlinking
Diffstat (limited to 'desktop/xonclock/xonclock.SlackBuild')
-rw-r--r--desktop/xonclock/xonclock.SlackBuild21
1 files changed, 6 insertions, 15 deletions
diff --git a/desktop/xonclock/xonclock.SlackBuild b/desktop/xonclock/xonclock.SlackBuild
index 0cc3f04ac1..0c83222651 100644
--- a/desktop/xonclock/xonclock.SlackBuild
+++ b/desktop/xonclock/xonclock.SlackBuild
@@ -28,15 +28,13 @@
PRGNAM=xonclock
VERSION=${VERSION:-0.0.9.2}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -77,6 +75,7 @@ find . \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="-lm -lXrender" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -92,18 +91,10 @@ make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
-
-( cd $PKG
- # Remove 'special' files
- find . -name perllocal.pod \
- -o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a README TODO AUTHORS INSTALL ChangeLog COPYING NEWS THANKS \